org.apache.jmeter.report.config

## Class GraphConfiguration

- java.lang.Object
- - org.apache.jmeter.report.config.SubConfiguration
  - - org.apache.jmeter.report.config.InstanceConfiguration
    - - org.apache.jmeter.report.config.GraphConfiguration

    public class GraphConfiguration
    extends InstanceConfiguration

The class GraphConfiguration describes a configuration of a graph.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`GraphConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `excludesControllers()` Checks if controller samples have to be filtered.
`String` `getTitle()` Gets the title of the graph.
`void` `setExcludeControllers(boolean excludeControllers)` Sets a switch used to check if controller samples have to be filtered.
`void` `setTitle(String title)` Sets the title of the graph.

### Methods inherited from class org.apache.jmeter.report.config.InstanceConfiguration

`getClassName, setClassName`

### Methods inherited from class org.apache.jmeter.report.config.SubConfiguration

`getProperties, getProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphConfiguration

    public GraphConfiguration()

### Method Detail

#### excludesControllers

    public final boolean excludesControllers()

Checks if controller samples have to be filtered.

Returns:
  true if controller samples have to be filtered; false otherwise.

#### setExcludeControllers

    public final void setExcludeControllers(boolean excludeControllers)

Sets a switch used to check if controller samples have to be filtered.

Parameters:
  `excludeControllers` - the switch value to set

#### getTitle

    public final String getTitle()

Gets the title of the graph.

Returns:
  the title of the graph

#### setTitle

    public final void setTitle(String title)

Sets the title of the graph.

Parameters:
  `title` - the title of the graph to set